Subject: Re: bug#21724: 25.0.50; (void-function (setf epg-context-armor))

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 23 Oct 2015 11:40:09 +0900

On Thu, 22 Oct 2015 20:27:16 -0400, Glenn Morris wrote:
> Katsumi Yamaoka wrote:
>> So, I'm not quite sure why it helps, but I wrapped the existing
>> autoload settings for those functions with `eval-and-compile':

> IMO it is better to move the epg autoloads after the epg eval-when-compile.

Thanks.  I see why adding (eval-when-compile (require 'epg))
caused a new warning.  It marked all the epg functions including
those autoloads maybe non-existent at the run-time, didn't it?
Committed.